VOICEVIS = VOICEVIS or {}
VOICEVIS.VisualizerSetting = {}

VOICEVIS.Gamemode = 2
VOICEVIS.Visualizer = 1
VOICEVIS.ColorMode = 2
VOICEVIS.BorderColor = Color(40, 40, 40)
VOICEVIS.PanelColor = Color(25, 25, 25)
VOICEVIS.DefaultColor = Color(50, 50, 50, 100)
VOICEVIS.DefaultOpacity = 100
VOICEVIS.CornerRounding = 0
VOICEVIS.Width = 250
VOICEVIS.Height = 50
VOICEVIS.YCord = 60

VOICEVIS.PlayerNameFont = {
	FONT = "BebasNeue", 
	SIZE = 25, 
	THICKNESS = 1, 
	COLOR = Color(160, 160, 160, 120)
}

VOICEVIS.PlayerTagFont = {
	FONT = "BebasNeue", 
	SIZE = 16, 
	THICKNESS = 0.3, 
	COLOR = Color(160, 160, 160, 60)
}

VOICEVIS.PlayerTopRightFont = {
	FONT = "Arial", 
	SIZE = 12, 
	THICKNESS = 1, 
	COLOR = Color(160, 160, 160, 10)
}

VOICEVIS.TopRightTextSetting = 1
VOICEVIS.FriendAvatarBorder = true
VOICEVIS.NotFriendColor = Color(129, 196, 214)
VOICEVIS.FriendColor = Color(129, 214, 171)

function VOICEVIS:GetTagForPlayers(ply)
	return ply:GetUserGroup()
end

function VOICEVIS:GetColorForPlayer(ply)
	if ply:IsAdmin() then
		return Color(255, 255, 255, 60)
	end
end

VOICEVIS.VisualizerSetting[1] = {
	WIDTH = 2, 
	SPACING = 1, 
	MULTIPLIER = 200
}

VOICEVIS.VisualizerSetting[3] = {
	WIDTH = 1, 
	SPACING = 0, 
	MULTIPLIER = 200, 
	BOXSIZE = 1
}

VOICEVIS.VisualizerSetting[4] = {
	WIDTH = 5, 
	SPACING = -1, 
	MULTIPLIER = 100
}

VOICEVIS.VisualizerSetting[5] = {
	AMOUNT = 60, 
	MULTIPLIER = 200
}

VOICEVIS.VisualizerSetting[6] = {
	WIDTH = 5, 
	SPACING = -1, 
	MULTIPLIER = 100
}